Enumerations | Functions

# blob-private.h File Reference

`#include <wizard/blob.h>`

Go to the source code of this file.

## Enumerations
enum | BlobMode { UndefinedBlobMode, ReadBlobMode, ReadBinaryBlobMode, WriteBlobMode, WriteBinaryBlobMode }
## Functions
WizardExport BlobInfo * | DestroyBlob (BlobInfo *)
WizardExport BlobInfo ** | OpenBlob (const char *, const BlobMode, const WizardBooleanType, ExceptionInfo *)
WizardExport const char * | GetBlobFilename (const BlobInfo *)
WizardExport struct stat * | GetBlobProperties (const BlobInfo *)
WizardExport int | EOFBlob (BlobInfo *)
WizardExport int | ReadBlobByte (BlobInfo *)
WizardExport int | SyncBlob (BlobInfo *)
WizardExport ssize_t | ReadBlob (BlobInfo *, const size_t, unsigned char *)
WizardExport ssize_t | ReadBlobChunk (BlobInfo *, const size_t, unsigned char *)
WizardExport ssize_t | WriteBlob (BlobInfo *, const size_t, const unsigned char *)
WizardExport ssize_t | WriteBlobByte (BlobInfo *, const unsigned char)
WizardExport ssize_t | WriteBlobChunk (BlobInfo *, const size_t, const unsigned char *)
WizardExport ssize_t | WriteBlobString (BlobInfo *, const char *)
WizardExport WizardBooleanType | CloseBlob (BlobInfo *)
WizardExport WizardBooleanType | SetBlobExtent (BlobInfo *, const WizardSizeType)
WizardExport WizardOffsetType | TellBlob (const BlobInfo *)
WizardExport WizardSizeType | GetBlobSize (BlobInfo *)

## Enumeration Type Documentation

enum BlobMode

Enumerator:

  UndefinedBlobMode |
  ReadBlobMode |
  ReadBinaryBlobMode |
  WriteBlobMode |
  WriteBinaryBlobMode |

## Function Documentation

WizardExport WizardBooleanType CloseBlob | ( | BlobInfo * |  | ) |

Referenced by DestroyBlob().

WizardExport BlobInfo* DestroyBlob | ( | BlobInfo * |  | ) |

WizardExport int EOFBlob | ( | BlobInfo * |  | ) |

WizardExport const char* GetBlobFilename | ( | const BlobInfo * |  | ) |

References _BlobInfo::debug, _BlobInfo::filename, GetWizardModule, LogWizardEvent(), TraceEvent, and WizardFalse.

WizardExport struct stat* GetBlobProperties | ( | const BlobInfo * |  | ) | `[read]`

References _BlobInfo::debug, _BlobInfo::filename, GetWizardModule, LogWizardEvent(), _BlobInfo::properties, TraceEvent, and WizardFalse.

WizardExport WizardSizeType GetBlobSize | ( | BlobInfo * |  | ) |

References BlobStream, BZipStream, _BlobInfo::debug, _BlobInfo::file, _BlobInfo::filename, fileno, FileStream, GetWizardModule, _BlobInfo::length, LogWizardEvent(), PipeStream, _BlobInfo::properties, _BlobInfo::size, StandardStream, TraceEvent, _BlobInfo::type, UndefinedStream, WizardFalse, and ZipStream.

Referenced by CloseBlob(), and OpenBlob().

WizardExport BlobInfo* * OpenBlob | ( | const char * | ,
|  | const | BlobMode,
|  | const | WizardBooleanType,
|  | ExceptionInfo * |  |
| ) |  |  |

References AcquireWizardMemory(), AttachBlob(), BlobEvent, BZipStream, CopyWizardString(), _BlobInfo::exempt, ExtensionPath, fdopen, _BlobInfo::file, _BlobInfo::filename, fileno, FileStream, GetBlobInfo(), GetBlobSize(), GetPathComponent(), GetWizardModule, LocaleCompare(), LocaleNCompare(), LogWizardEvent(), MapBlob(), _BlobInfo::mapped, MaxTextExtent, popen, _BlobInfo::properties, ReadBinaryBlobMode, ReadBlobMode, RelinquishWizardMemory(), ResetWizardMemory(), setmode, _BlobInfo::size, _BlobInfo::status, StringToLong(), ThrowWizardException(), TraceEvent, _BlobInfo::type, UndefinedStream, WizardFalse, WizardOpenStream(), WizardTrue, WriteBinaryBlobMode, WriteBlobMode, and ZipStream.

WizardExport ssize_t ReadBlob | ( | BlobInfo * | ,
|  | const | size_t,
|  | unsigned char * |  |
| ) |  |  |

Referenced by ReadBlobChunk(), and ReadBlobStream().

WizardExport int ReadBlobByte | ( | BlobInfo * |  | ) |

WizardExport ssize_t ReadBlobChunk | ( | BlobInfo * | ,
|  | const | size_t,
|  | unsigned char * |  |
| ) |  |  |

WizardExport WizardBooleanType SetBlobExtent | ( | BlobInfo * | ,
|  | const | WizardSizeType |
| ) |  |  |

References BlobStream, BZipStream, _BlobInfo::data, DetachBlob(), _BlobInfo::extent, _BlobInfo::file, fileno, FileStream, _BlobInfo::length, MapBlob(), _BlobInfo::mapped, PipeStream, ResizeQuantumMemory(), _BlobInfo::signature, StandardStream, SyncBlob(), TellBlob(), _BlobInfo::type, UndefinedStream, UnmapBlob(), WizardFalse, WizardSignature, WizardTrue, and ZipStream.

Referenced by WriteBlobStream().

WizardExport int SyncBlob | ( | BlobInfo * |  | ) |

References BlobStream, BZipStream, _BlobInfo::data, _BlobInfo::file, _BlobInfo::filename, FileStream, GetWizardModule, _BlobInfo::length, LogWizardEvent(), _BlobInfo::mapped, MS_SYNC, msync, PipeStream, _BlobInfo::signature, StandardStream, TraceEvent, _BlobInfo::type, UndefinedStream, WizardFalse, WizardSignature, and ZipStream.

Referenced by CloseBlob(), SetBlobExtent(), and WriteBlob().

WizardExport WizardOffsetType TellBlob | ( | const BlobInfo * |  | ) |

References BlobStream, BZipStream, _BlobInfo::file, _BlobInfo::filename, FileStream, GetWizardModule, LogWizardEvent(), _BlobInfo::offset, PipeStream, _BlobInfo::signature, StandardStream, TraceEvent, _BlobInfo::type, UndefinedStream, WizardSignature, and ZipStream.

Referenced by SetBlobExtent().

WizardExport ssize_t WriteBlob | ( | BlobInfo * | ,
|  | const | size_t,
|  | const unsigned char * |  |
| ) |  |  |

Referenced by PrintKeyringProperties(), WriteBlobChunk(), and WriteBlobStream().

WizardExport ssize_t WriteBlobByte | ( | BlobInfo * | ,
|  | const unsigned char |  |
| ) |  |  |

WizardExport ssize_t WriteBlobChunk | ( | BlobInfo * | ,
|  | const | size_t,
|  | const unsigned char * |  |
| ) |  |  |

WizardExport ssize_t WriteBlobString | ( | BlobInfo * | ,
|  | const char * |  |
| ) |  |  |

References _BlobInfo::signature, WizardSignature, and WriteBlobStream().